We are committed to providing a strong and
enforced code of conduct and expect everyone in our community to follow these
guidelines when interacting with others in all forums. Our goal is to keep ours
a positive, inclusive, successful, and growing community. 

[ All Max Planck Institute for Astronomy (MPIA) researchers are bound to adhere to the 
[Max Plack Society Code of Conduct](https://www.mpg.de/14172230/code-of-conduct.pdf) and the [MPIA Work Agreement](https://intranet.mpia.de/4404342/03-Works-agreement-code-of-conduct.pdf) (intranet link). All MPIA employees should attach importance to creating a respectful and healthy atmosphere 
and a level playing field for research and work. Their goal is to ensure good working conditions 
for everyone and to provide the basis for individual job satisfaction, personal development, 
motivation, collegiality and positive interpersonal relations. ]

[ Interactions on GitHub are not limited to those between MPIA employees.] The community of
participants in open source astronomy projects is made up of members from
around the globe with a diverse set of skills, personalities, and experiences.
It is through these differences that our community experiences success and
continued growth. As members of this global community:

1. We pledge to treat all people with respect and provide a harassment- and bullying-free environment, regardless of sex, sexual orientation and/or gender identity, disability, physical appearance, body size, race, nationality, ethnicity, and religion. In particular, sexual language and imagery, sexist, racist, or otherwise exclusionary jokes are not appropriate.
2. We pledge to respect the work of others by recognizing acknowledgment/citation requests of original authors. As authors, we pledge to be explicit about how we want our own work to be cited or acknowledged.
3. We pledge to welcome those interested in joining the community, and realize that including people with a variety of opinions and backgrounds will only serve to enrich our community. In particular, discussions relating to pros/cons of various technologies, programming languages, and so on are welcome, but these should be done with respect, taking proactive measure to ensure that all participants are heard and feel confident that they can freely express their opinions.
4. We pledge to welcome questions and answer them respectfully, paying particular attention to those new to the community. We pledge to provide respectful criticisms and feedback in forums, especially in discussion threads resulting from code contributions.
5. We pledge to be conscientious of the perceptions of the wider community and to respond to criticism respectfully. We will strive to model behaviors that encourage productive debate and disagreement, both within our community and where we are criticized. We will treat those outside our community with the same respect as people within our community.
6. We pledge to help the entire community follow the code of conduct, and to not remain silent when we see violations of the code of conduct. 
 
**This code of conduct applies to all community situations online and offline, including mailing lists, forums, social media, conferences, meetings, associated social events, and one-to-one interactions.**

**Reporting**: Please report any violations of the Code of Conduct to the owners of the [`mpi-astronomy` [GitHub organization](https://github.com/orgs/mpi-astronomy/people)]. As community leaders we are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful. All community leaders are obligated to respect the privacy and security of the reporter of any incident.

**Enforcement**: We follow the enforcement guidelines of the [Contributor Covenant](https://www.contributor-covenant.org/version/2/1/code_of_conduct/). [For MPIA employees, the matter will be referred to the contacts listed in Section 7 of the [MPIA Work Agreement](https://intranet.mpia.de/4404342/03-Works-agreement-code-of-conduct.pdf) (intranet link). 
For external people, the owners of the GitHub organization will decide in consultation with the MPIA directorate.]

Parts of this code of conduct have been adapted from the Astropy and NumFOCUS codes of conduct:

https://www.astropy.org/code_of_conduct.html

https://www.numfocus.org/about/code-of-conduct/

